# Date pick

A decision block that lets the user choose a date.

The fiber will pause until the user has chosen a date, cancelled the dialog or the timeout expired.

The resulting timestamp is set as midnight of the chosen date in the current time zone. Use the timeMerge function to combine date and time.

The first day of week used by the Calendar style can be configured in settings.

## Input arguments

- Title — dialog title, default is no title.
- Style — style of dialog, default is Keypad.
- Initial date — initially entered date in the current time zone, default is none.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Picked date — variable to assign the chosen date, a unix timestamp.